Bug 808300 - use of minimal installer CD induces catatonia
use of minimal installer CD induces catatonia
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i586 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-03-30 01:36 EDT by MJH
Modified: 2012-04-20 08:59 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-04-20 08:59:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description MJH 2012-03-30 01:36:16 EDT
Description of problem:
I made a minimal CD to start an install from hard drive.
It doesn't work.

The boot menu asks me to install or troubleshoot.
Hitting enter for install results in lots of text
scrolling off the screen followed by catatonia.
The first time, the last line was incomplete.
The next time I used
linux ks=http://www.cs.ndsu.nodak.edu/~hennebry/anaconda-ks.cfg
The last line before catatonia included something like "end of dump".

The CD is not bad.
It's an exact copy of the iso from which it was made.
I read it back and did a diff to make sure.
The iso's sha256sum is
a4a7cc83163a2cecf1420c64d48123d0887e165aa17a72b8920f8d70bf003a65 .

More recently I used tab and backspaced over quiet.
Since I didn't have a running system, I had to copy the result by hand:
[1.429346] ---cut here---
kernel BUG at arch/x86/kernel/traps.c:531!
invalid opcode 0000 [#1] SMP
Modules linked in:

Pid 1: 1, comm: swapper Not tainted 3.1.0-7.f16.i686 #1 Daktech**DT6000* /D865GBF
EIP: 0060:[<c0811b4e>] EFLAGS: 00010006 CPU: 1
EIP is at do_nmi+0x22/0x280
EAX: ec498000  EBX: 9ed363a7  ECX: 00000000  EDX: ec499b0c
ESI: ec499b38  EDI: c0a5c746  EBP: ec499b30  ESP: ec499b0c
DS: 007b  ES: 007b  FS: 00d8  GS: 00e0  SS: 0068
Process swapper (pid: 1, t:=0c490000  task=ec49000  task.ti=ec498?00)
00000000 00000002 00000001 ffff0005 ec499bc8 9ed3c63a7 ?f8ce356
c0a5c746 ecbcb8c0 c08117bc 9ed363a7 00000000 ff8ce356  ?0a5c746
ecbcb8c0 000054b2 c05c00b7 0000007b 000000e0 000054b2  ?05c9745
call trace

The stars represent little circles.
The ?s are because of wraparound and my 79.3 character wide screen.
They should probably be the same as the hex digits following them.

Version-Release number of selected component (if applicable):
I believe they are the most recent as of March 30, 2012.
The minimal CD's sha256sum is
The DVD sha256sum is
af7f172962ab47748914edb7c4d30565d23b4cf21f3bc4b7e3cd770b384d9a75 .

How reproducible:

Steps to Reproduce:
1. CD into drive
2. reboot
3. hit enter
Actual results:
A lot of text followed by catatonia.

Expected results:
anaconda dialogs

Additional info:
Trying to do without media doesn't work either.
I've seen the kernel command segfault.
Comment 1 Adam Williamson 2012-03-30 03:19:55 EDT
looks like the kernel, then.

Fedora Bugzappers volunteer triage team
Comment 2 Josh Boyer 2012-03-30 08:50:26 EDT
D865GBF is one of the motherboards that was broken due to an ACPICA change.  It was fixed in an updated kernel, but the F16 media cannot be updated.  See bugs 73007 727865.

Can you please try the nightly F17 live images, or the upcoming F17 beta?
Comment 3 MJH 2012-03-31 14:07:41 EDT
I should take back the bit about the kernel command segfaulting.
It only happens when I do this:
grub < stanza.txt
Apparently that is not supposed to work.
As noted, I can boot the F15 installer, but not that way.

Note You need to log in before you can comment on or make changes to this bug.